"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var errors = require("resin-cli-errors");
var patterns = require("./utils/patterns");
var Raven = require("raven");
var Promise = require("bluebird");
var captureException = Promise.promisify(Raven.captureException, { context: Raven });
exports.handle = function (error) {
    var message = errors.interpret(error);
    if (message == null) {
        return;
    }
    if (process.env.DEBUG) {
        message = error.stack;
    }
    patterns.printErrorMessage(message);
    return captureException(error)
        .timeout(1000)
        .catch(function () {
    })
        .finally(function () { return process.exit(error.exitCode || 1); });
};
//# sourceMappingURL=errors.js.map